'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Breadcrumbs = function (_a) {
    var _b;
    var ariaLabel = _a.ariaLabel, data = _a.data, _c = _a.size, size = _c === void 0 ? 'medium' : _c;
    return (React__default.createElement("nav", { "aria-label": ariaLabel || 'breadcrumbs', "data-testid": "Breadcrumbs", className: index((_b = {
                'rrui-breadcrumbs': true
            },
            _b["rrui-breadcrumbs--" + size] = true,
            _b)) },
        React__default.createElement("ol", { className: "rrui-breadcrumbs__list" }, data.map(function (b) { return (React__default.createElement("li", { key: "breadcrumb_" + b.linkText, className: "rrui-breadcrumbs__item" },
            React__default.createElement("a", { href: b.linkHref || null, "aria-current": b.isCurrent ? 'page' : null }, b.linkText))); }))));
};

module.exports = Breadcrumbs;
//# sourceMappingURL=Breadcrumbs.js.map
