'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../Submit/index.js');
var index$1 = require('../Legend/index.js');
var index$2 = require('../FieldSet/index.js');
var index$3 = require('../Label/index.js');
var index$4 = require('../Input/index.js');
var index$5 = require('../Select/index.js');
var index$6 = require('../CheckboxGroup/index.js');
var index$7 = require('../TextArea/index.js');

// Generated with util/create-component.js
var Form = function (_a) {
    var children = _a.children, onSubmitFunction = _a.onSubmitFunction, ariaDescribedBy = _a.ariaDescribedBy;
    return (React__default.createElement("form", { "aria-describedby": ariaDescribedBy || null, "data-testid": "Form", className: "rrui-form", onSubmit: function (event) {
            event.preventDefault();
            onSubmitFunction();
        } }, children));
};
Form.Submit = index;
Form.Legend = index$1;
Form.FieldSet = index$2;
Form.Label = index$3;
Form.Input = index$4;
Form.TextArea = index$7;
Form.Select = index$5;
Form.CheckboxGroup = index$6;

module.exports = Form;
//# sourceMappingURL=Form.js.map
