'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

// Generated with util/create-component.js
var CheckboxGroup = function (_a) {
    var id = _a.id, values = _a.values, ariaLabelledBy = _a.ariaLabelledBy, onSelectFunction = _a.onSelectFunction;
    return (React__default.createElement("div", { role: "group", "aria-labelledby": ariaLabelledBy, id: id || null },
        React__default.createElement("ul", { className: "rrui-form__checkbox-group", "data-testid": "CheckboxGroup" }, values.map(function (v) { return (React__default.createElement("li", { key: "checkbox-item-" + v.displayValue },
            React__default.createElement("div", { onKeyDown: function (event) {
                    if (event.keyCode === 32) {
                        event.preventDefault();
                        event.stopPropagation();
                        onSelectFunction(v.keyValue, !v.checked);
                    }
                }, onClick: function () { return onSelectFunction(v.keyValue, !v.checked); }, className: "rrui-form__checkbox", "data-testid": "Checkbox", role: "checkbox", "aria-checked": v.checked ? 'true' : 'false', tabIndex: 0 }, v.displayValue))); }))));
};

module.exports = CheckboxGroup;
//# sourceMappingURL=CheckboxGroup.js.map
