'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../../utils/getClassNames/index.js');

var Icon = function (_a) {
    var _b;
    var children = _a.children, _c = _a.viewBox, viewBox = _c === void 0 ? '0 0 24 24' : _c, _d = _a.width, width = _d === void 0 ? 24 : _d, _e = _a.height, height = _e === void 0 ? 24 : _e, _f = _a.variant, variant = _f === void 0 ? 'primary' : _f;
    return (React__default.createElement("svg", { "data-testid": "Icon", width: width, height: height, viewBox: viewBox, className: index((_b = {
                'rrui-icon': true
            },
            _b["rrui-icon--" + variant] = true,
            _b)) }, children));
};

module.exports = Icon;
//# sourceMappingURL=Icon.js.map
