'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Image = function (_a) {
    var height = _a.height, width = _a.width, alt = _a.alt, scaling = _a.scaling, style = _a.style, circle = _a.circle, bordered = _a.bordered, blurred = _a.blurred, src = _a.src;
    return (React__default.createElement("img", { style: style || null, alt: alt, width: width || null, height: height || null, "data-testid": "Image", src: src, className: index({
            'rrui-image': true,
            'rrui-image--responsive': scaling === 'unrestricted',
            'rrui-image--responsive-restrict-width': scaling === 'restricted-width',
            'rrui-image--circle': circle,
            'rrui-image--bordered': bordered,
            'rrui-image--blurred': blurred,
        }) }));
};

module.exports = Image;
//# sourceMappingURL=Image.js.map
