/// <reference types="react" />
import { ILandmarkProps } from './Landmark.types';
declare const Landmark: {
    ({ children }: ILandmarkProps): JSX.Element;
    Region: ({ children, ariaLabelledBy, ariaLabel }: import("../Region/Region.types").IRegionProps) => JSX.Element;
    Main: ({ children }: import("../Main/Main.types").IMainProps) => JSX.Element;
    Complementary: ({ children, ariaLabelledBy }: import("../Complementary/Complementary.types").IComplementaryProps) => JSX.Element;
    ContentInfo: ({ children }: import("../ContentInfo/ContentInfo.types").IContentInfoProps) => JSX.Element;
};
export default Landmark;
