import React from 'react';
import { IColumnProps } from './Column.types';
import './Column.scss';
declare const Column: ({ children, size, paddingX, paddingY, tagName, id, ariaLabel, ariaLabelledBy, }: IColumnProps) => React.DetailedReactHTMLElement<{
    'data-testid': string;
    className: string;
    id: string;
    'aria-labelledby': string;
    'aria-label': string;
}, HTMLElement>;
export default Column;
