'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Column = function (_a) {
    var _b;
    var children = _a.children, _c = _a.size, size = _c === void 0 ? 'quarter' : _c, _d = _a.paddingX, paddingX = _d === void 0 ? 's' : _d, _e = _a.paddingY, paddingY = _e === void 0 ? 's' : _e, _f = _a.tagName, tagName = _f === void 0 ? 'div' : _f, id = _a.id, ariaLabel = _a.ariaLabel, ariaLabelledBy = _a.ariaLabelledBy;
    return React__default.createElement(tagName, {
        'data-testid': 'Column',
        className: index((_b = {
                'rrui-column': true
            },
            _b["rrui-column--one-" + size] = true,
            _b["rrui-column--padding-x-" + paddingX] = true,
            _b["rrui-column--padding-y-" + paddingY] = true,
            _b)),
        id: id,
        'aria-labelledby': ariaLabelledBy,
        'aria-label': ariaLabel,
    }, children);
};

module.exports = Column;
//# sourceMappingURL=Column.js.map
