import React from 'react';
import { IGridProps } from './Grid.types';
import './Grid.scss';
declare const Grid: {
    ({ children, gap, type }: IGridProps): JSX.Element;
    GridItem: ({ children, config, variant, paddingX, paddingY, tagName, id, ariaLabel, ariaLabelledBy, }: import("../GridItem/GridItem.types").IGridItemProps) => React.DetailedReactHTMLElement<{
        'data-testid': string;
        className: string;
        id: string;
        'aria-labelledby': string;
        'aria-label': string;
        style: React.CSSProperties;
    }, HTMLElement>;
};
export default Grid;
