'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../utils/getClassNames/index.js');
var index$1 = require('../Icon/Star/index2.js');
var index$2 = require('../Icon/X/index2.js');

// Generated with util/create-component.js
var Review = function (_a) {
    var _b;
    var _c = _a.formId, formId = _c === void 0 ? 'star_rating' : _c, _d = _a.currentValue, currentValue = _d === void 0 ? 0 : _d, onCrossClickFunction = _a.onCrossClickFunction, onStarClickFunction = _a.onStarClickFunction, _e = _a.size, size = _e === void 0 ? 'medium' : _e;
    return (React__default.createElement("form", { "data-testid": "Review", "aria-label": currentValue + " stars out of 5", id: formId, className: index((_b = {
                'rrui-review': true
            },
            _b["rrui-review--" + size] = true,
            _b)) },
        React__default.createElement("input", { value: "0", id: "star0", 
            // readOnly
            // checked
            readOnly: true, type: "radio", name: "rating", className: "rrui-review--vis-hidden", onClick: onCrossClickFunction }),
        React__default.createElement("label", { htmlFor: "star0" },
            React__default.createElement("span", { className: "rrui-review--vis-hidden" }, "0 Stars"),
            React__default.createElement("svg", { viewBox: "0 0 24 24", "data-testid": "ReviewCross" },
                React__default.createElement(index$2, null))),
        React__default.createElement("input", { onClick: function () { return onStarClickFunction(1); }, value: "1", id: "star1", type: "radio", name: "rating", className: "rrui-review--vis-hidden" }),
        React__default.createElement("label", { htmlFor: "star1" },
            React__default.createElement("span", { className: "rrui-review--vis-hidden" }, "1 Star"),
            React__default.createElement("svg", { "data-testid": "ReviewStar", viewBox: "0 0 24 24", className: index({
                    'rrui-review__checked': currentValue >= 1,
                }) },
                React__default.createElement(index$1, null))),
        React__default.createElement("input", { onClick: function () { return onStarClickFunction(2); }, 
            // checked={currentValue >= 2}
            value: "2", id: "star2", type: "radio", name: "rating", className: "rrui-review--vis-hidden" }),
        React__default.createElement("label", { htmlFor: "star2" },
            React__default.createElement("span", { className: "rrui-review--vis-hidden" }, "2 Stars"),
            React__default.createElement("svg", { "data-testid": "ReviewStar", viewBox: "0 0 24 24", className: index({
                    'rrui-review__checked': currentValue >= 2,
                }) },
                React__default.createElement(index$1, null))),
        React__default.createElement("input", { onClick: function () { return onStarClickFunction(3); }, 
            // checked={currentValue >= 3}
            value: "3", id: "star3", type: "radio", name: "rating", className: "rrui-review--vis-hidden" }),
        React__default.createElement("label", { htmlFor: "star3" },
            React__default.createElement("span", { className: "rrui-review--vis-hidden" }, "3 Stars"),
            React__default.createElement("svg", { "data-testid": "ReviewStar", viewBox: "0 0 24 24", className: index({
                    'rrui-review__checked': currentValue >= 3,
                }) },
                React__default.createElement(index$1, null))),
        React__default.createElement("input", { onClick: function () { return onStarClickFunction(4); }, 
            // checked={currentValue >= 4}
            value: "4", id: "star4", type: "radio", name: "rating", className: "rrui-review--vis-hidden" }),
        React__default.createElement("label", { htmlFor: "star4" },
            React__default.createElement("span", { className: "rrui-review--vis-hidden" }, "4 Stars"),
            React__default.createElement("svg", { "data-testid": "ReviewStar", viewBox: "0 0 24 24", className: index({
                    'rrui-review__checked': currentValue >= 4,
                }) },
                React__default.createElement(index$1, null))),
        React__default.createElement("input", { onClick: function () { return onStarClickFunction(5); }, 
            // checked={currentValue >= 5}
            value: "5", id: "star5", type: "radio", name: "rating", className: "rrui-review--vis-hidden" }),
        React__default.createElement("label", { htmlFor: "star5" },
            React__default.createElement("span", { className: "rrui-review--vis-hidden" }, "5 Stars"),
            React__default.createElement("svg", { "data-testid": "ReviewStar", viewBox: "0 0 24 24", className: index({
                    'rrui-review__checked': currentValue >= 5,
                }) },
                React__default.createElement(index$1, null))),
        React__default.createElement("button", { onClick: function () { return console.log('WHOA'); }, style: { background: 'blue' }, type: "submit", className: "btn-small rrui-review--vis-hidden focusable" }, "Submit rating"),
        React__default.createElement("output", null)));
};

module.exports = Review;
//# sourceMappingURL=Review.js.map
