'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../../utils/getClassNames/index.js');
var index$1 = require('../Row/index.js');
var index$2 = require('../Cell/index.js');
var index$3 = require('../Head/index.js');
var index$4 = require('../Header/index.js');
var index$5 = require('../Body/index.js');
var index$6 = require('../Foot/index.js');

// Generated with util/create-component.js
var Table = function (_a) {
    var children = _a.children, striped = _a.striped, centerCellContent = _a.centerCellContent, id = _a.id, ariaDescribedBy = _a.ariaDescribedBy, ariaLabel = _a.ariaLabel;
    return (React__default.createElement("table", { id: id || null, "aria-describedby": ariaDescribedBy || null, "aria-label": ariaLabel || null, "data-testid": "Table", className: index({
            'rrui-table': true,
            'rrui-table--striped': striped,
            'rrui-table--center-cells': centerCellContent,
        }) }, children));
};
Table.Row = index$1;
Table.Header = index$4;
Table.Cell = index$2;
Table.Head = index$3;
Table.Body = index$5;
Table.Foot = index$6;

module.exports = Table;
//# sourceMappingURL=Table.js.map
