'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var getHeaderClass = function (level, jumbo) {
    var _a;
    return index((_a = {
            'rrui-header': true
        },
        _a["rrui-header__" + level] = true,
        _a["rrui-header__" + level + "--jumbo"] = jumbo,
        _a));
};
var Heading = function (_a) {
    var children = _a.children, _b = _a.level, level = _b === void 0 ? 1 : _b, _c = _a.jumbo, jumbo = _c === void 0 ? false : _c, id = _a.id;
    if (level === 2)
        return (React__default.createElement("h2", { "data-testid": "Heading", className: getHeaderClass(level, jumbo), id: id || null }, children));
    if (level === 3)
        return (React__default.createElement("h3", { "data-testid": "Heading", id: id || null, className: getHeaderClass(level, jumbo) }, children));
    if (level === 4)
        return (React__default.createElement("h4", { "data-testid": "Heading", id: id || null, className: getHeaderClass(level, jumbo) }, children));
    if (level === 5)
        return (React__default.createElement("h5", { "data-testid": "Heading", id: id || null, className: getHeaderClass(level, jumbo) }, children));
    if (level === 6)
        return (React__default.createElement("h6", { "data-testid": "Heading", id: id || null, className: getHeaderClass(level, jumbo) }, children));
    return (React__default.createElement("h1", { "data-testid": "Heading", id: id || null, className: getHeaderClass(level, jumbo) }, children));
};

module.exports = Heading;
//# sourceMappingURL=Heading.js.map
