'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Button = React__default.forwardRef(function (_a, ref) {
    var _b;
    var children = _a.children, id = _a.id, ariaControls = _a.ariaControls, _c = _a.size, size = _c === void 0 ? 'medium' : _c, _d = _a.variant, variant = _d === void 0 ? 'primary' : _d, tabIndex = _a.tabIndex, ariaLabel = _a.ariaLabel, _e = _a.square, square = _e === void 0 ? false : _e, onClickFunction = _a.onClickFunction, onKeyDownFunction = _a.onKeyDownFunction;
    return (React__default.createElement("button", { type: "button", onKeyDown: onKeyDownFunction || null, tabIndex: tabIndex || null, "aria-label": ariaLabel || null, "aria-controls": ariaControls || null, id: id || null, "data-testid": "Button", onClick: function (e) {
            if (typeof onClickFunction === 'function')
                onClickFunction(e);
        }, ref: ref, className: index((_b = {
                'rrui-button': true,
                'rrui-button--square': square
            },
            _b["rrui-button--" + size] = true,
            _b["rrui-button--" + variant] = true,
            _b)) }, children));
});
Button.displayName = 'Button';

module.exports = Button;
//# sourceMappingURL=Button.js.map
