'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Input = function (_a) {
    var value = _a.value, id = _a.id, placeholder = _a.placeholder, onChangeFunction = _a.onChangeFunction, onBlurFunction = _a.onBlurFunction, _b = _a.type, type = _b === void 0 ? 'text' : _b, fullWidth = _a.fullWidth, error = _a.error, errorMessage = _a.errorMessage, disabled = _a.disabled, name = _a.name;
    return (React__default.createElement("div", { className: "rrui-form__input-wrapper", "data-testid": "InputWrapper" },
        React__default.createElement("input", { name: name, "data-testid": "Input", disabled: disabled, className: index({
                'rrui-form__input': true,
                'rrui-form__input--full-width': fullWidth,
                'rrui-form__input--has-error': error,
                'rrui-form__input--disabled': disabled,
                'rrui-form__input--o': disabled,
            }), type: type, placeholder: placeholder, id: id, value: value, onChange: onChangeFunction, onBlur: onBlurFunction || (function () { }) }),
        React__default.createElement("p", { className: index({
                'rrui-form__input-error': true,
                'rrui-form__input-error--hidden': !error,
            }) }, errorMessage)));
};

module.exports = Input;
//# sourceMappingURL=Input.js.map
