'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Select = function (_a) {
    var id = _a.id, onBlurFunction = _a.onBlurFunction, onChangeFunction = _a.onChangeFunction, selectedValue = _a.selectedValue, values = _a.values, multiple = _a.multiple, disabled = _a.disabled;
    return (React__default.createElement("select", { "data-testid": "Select", value: selectedValue, id: id, multiple: multiple || null, className: index({
            'rrui-form__select': true,
            'rrui-form__select--disabled': disabled,
            'rrui-form__select--o': disabled,
        }), disabled: disabled, onChange: onChangeFunction, onBlur: onBlurFunction || (function () { }) }, values.map(function (v) { return (React__default.createElement("option", { "data-testid": "SelectOption", key: v.keyValue, value: v.keyValue }, v.displayValue)); })));
};

module.exports = Select;
//# sourceMappingURL=Select.js.map
