'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var TextArea = function (_a) {
    var id = _a.id, value = _a.value, name = _a.name, rows = _a.rows, placeholder = _a.placeholder, onChangeFunction = _a.onChangeFunction, onBlurFunction = _a.onBlurFunction, fullWidth = _a.fullWidth, error = _a.error, errorMessage = _a.errorMessage, disabled = _a.disabled;
    return (React__default.createElement("div", { className: "rrui-form__textarea-wrapper", "data-testid": "TextAreaWrapper" },
        React__default.createElement("textarea", { name: name, "data-testid": "TextArea", disabled: disabled, className: index({
                'rrui-form__textarea': true,
                'rrui-form__textarea--full-width': fullWidth,
                'rrui-form__textarea--has-error': error,
                'rrui-form__textarea--disabled': disabled,
                'rrui-form__textarea--o': disabled,
            }), rows: rows || 8, value: value, id: id, placeholder: placeholder, onChange: onChangeFunction, onBlur: onBlurFunction || (function () { }) }),
        React__default.createElement("p", { className: index({
                'rrui-form__textarea-error': true,
                'rrui-form__textarea-error--hidden': !error,
            }) }, errorMessage)));
};

module.exports = TextArea;
//# sourceMappingURL=TextArea.js.map
