import React from 'react';
import { IGridItemProps } from './GridItem.types';
import './GridItem.scss';
declare const GridItem: ({ children, config, variant, paddingX, paddingY, tagName, id, ariaLabel, ariaLabelledBy, }: IGridItemProps) => React.DetailedReactHTMLElement<{
    'data-testid': string;
    className: string;
    id: string;
    'aria-labelledby': string;
    'aria-label': string;
    style: React.CSSProperties;
}, HTMLElement>;
export default GridItem;
