'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Link = function (_a) {
    var _b;
    var href = _a.href, children = _a.children, _c = _a.size, size = _c === void 0 ? 'medium' : _c, _d = _a.display, display = _d === void 0 ? 'inline' : _d, ariaDescribedBy = _a.ariaDescribedBy, ariaLabel = _a.ariaLabel;
    return (React__default.createElement("a", { href: href, "aria-label": ariaLabel || null, "aria-describedby": ariaDescribedBy || null, "data-testid": "Link", className: index((_b = {
                'rrui-link': true
            },
            _b["rrui-link--" + size] = true,
            _b['rrui-link--block'] = display === 'block',
            _b)) }, children));
};

module.exports = Link;
//# sourceMappingURL=Link.js.map
