'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var index = require('../../utils/getClassNames/index.js');

// Generated with util/create-component.js
var Pagination = function (_a) {
    var data = _a.data, ariaLabel = _a.ariaLabel, rounded = _a.rounded;
    var defaultLabel = 'Pagination Navigation';
    return (React__default.createElement("nav", { className: "rrui-pagination", "data-testid": "Pagination", role: "navigation", "aria-label": ariaLabel || defaultLabel },
        React__default.createElement("ul", { className: "rrui-pagination__wrapper", "data-testid": "PaginationWrapper" }, data.map(function (x, i) { return (React__default.createElement("li", { key: "page-key" + i.toString() },
            React__default.createElement("a", { "data-testid": "PaginationButton", className: index({
                    'rrui-pagination__button': true,
                    'rrui-pagination__button--current': x.current,
                    'rrui-pagination__button--rounded': rounded,
                }), href: x.href, "aria-label": x.current
                    ? "Page " + x.pageNumber + ", Current page"
                    : "Page " + x.pageNumber, "aria-current": x.current ? 'true' : null },
                React__default.createElement("span", null, x.pageNumber)))); }))));
};

module.exports = Pagination;
//# sourceMappingURL=Pagination.js.map
