/// <reference types="react" />
import { ITableProps } from './Table.types';
import './Table.scss';
declare const Table: {
    ({ children, striped, centerCellContent, id, ariaDescribedBy, ariaLabel, }: ITableProps): JSX.Element;
    Row: ({ children }: import("../Row/Row.types").ITableRowProps) => JSX.Element;
    Header: ({ children, colSpan, rowSpan, scope }: import("../Header/Header.types").ITableHeaderProps) => JSX.Element;
    Cell: ({ children }: import("../Cell/Cell.types").ITableCellProps) => JSX.Element;
    Head: ({ children }: import("../Head/Head.types").ITableHeadProps) => JSX.Element;
    Body: ({ children }: import("../Body/Body.types").ITableBodyProps) => JSX.Element;
    Foot: ({ children }: import("../Foot/Foot.types").ITableFootProps) => JSX.Element;
};
export default Table;
